Package org.apache.sling.auth.core

# Interface LoginEventDecorator

@Deprecated @ConsumerType public interface LoginEventDecorator
Deprecated.
Use `JakartaLoginEventDecorator` instead
Components should implement this interface to customize properties in the Login and/or LoginFailed event

## Method Summary

Modifier and Type
Method
Description
`default void`
`decorateLoginEvent(@NotNull javax.servlet.http.HttpServletRequest request, @NotNull AuthenticationInfo authInfo, @NotNull Map<String,Object> eventProperties)`
Deprecated.
Called to allow the component to modify the login event properties
`default void`
`decorateLoginFailedEvent(@NotNull javax.servlet.http.HttpServletRequest request, @NotNull AuthenticationInfo authInfo, @NotNull Map<String,Object> eventProperties)`
Deprecated.
Called to allow the component to modify the login failed event properties

## Method Details

### decorateLoginEvent

@NotNull default void decorateLoginEvent(@NotNull @NotNull javax.servlet.http.HttpServletRequest request, @NotNull @NotNull AuthenticationInfo authInfo, @NotNull @NotNull Map<String,Object> eventProperties)
Deprecated.
Called to allow the component to modify the login event properties

Parameters:
  `request` - the current request
  `authInfo` - the current authInfo
  `eventProperties` - the event properties to decorate

### decorateLoginFailedEvent

@NotNull default void decorateLoginFailedEvent(@NotNull @NotNull javax.servlet.http.HttpServletRequest request, @NotNull @NotNull AuthenticationInfo authInfo, @NotNull @NotNull Map<String,Object> eventProperties)
Deprecated.
Called to allow the component to modify the login failed event properties

Parameters:
  `request` - the current request
  `authInfo` - the current authInfo
  `eventProperties` - the event properties to decorate